Subject: bug#21833: 24.4; desktop-kill, which is interactive, is in kill-emacs-hook

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Nov 2015 09:59:35 +0200

> From: Juanma Barranquero <[email-masked]>
> Date: Fri, 13 Nov 2015 01:27:32 +0100
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], Stelian Iancu <[email-masked]>
> 
> I say:
> 
> emacs -Q
> (require 'emacs-lock) <C-x C-e>
> (emacs-lock-mode 'exit) <C-x C-e>
> M-x kill-emacs <RET>
> 
> Expected behavior: emacs is killed ???
> Actual behavior: => Emacs cannot exit because buffer "*scratch*" is locked
> 
> Because I use emacs-lock and I certainly wouldn't expect it to be killed.

Then I guess you are saying that in the case of emacs-lock there's no
similar bug?

I'll probably agree (I don't use that package), but why does it have
to tell us that desktop.el should behave the same?  It doesn't have
the same purpose, right?